#ifndef COMPUTER_H
#define COMPUTER_H

#include "basicentity.h"
#include "classroom.h"

class DATABASELMS_EXPORT Computer: public BasicEntity
{
public:
    Computer();
    Computer(int id, QString name, QString ipAddress, Classroom classroom);

    void setClassroom(Classroom classroom){this->classroom = classroom;}
    Classroom getClassroom(){return classroom;}

    void setIpAddress(QString ipAddress){this->ipAddress = ipAddress;}
    QString getIpAddress(){return ipAddress;}

private:
    Classroom classroom;
    QString ipAddress;
};

#endif // COMPUTER_H
